#  Copyright (C) 2009 Registro.br. All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# 1. Redistribution of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY REGISTRO.BR ``AS IS AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIE OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL REGISTRO.BR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
 
class ResponseStatus:
	"""Response status codes"""
	OK = 1
	BAD_UICLIENT_REQUEST = 2
	INVALID_SIGNER_OPERATION = 3
	EMPTY_RRSET = 4
	INVALID_AGORITHM = 5
	INVALID_KEY = 6
	SIGNATURE_ERROR = 7
	NO_SOA = 8
	TRANSFER_NOT_ALLOWED = 9
	NOT_AUTHORITATIVE = 10
	DNS_MESSAGE_FORMERR =	11
	BAD_TSIG = 12
	INVALID_DNS_MESSAGE = 13
	REFUSED_OPERATION = 14
	DNS_SERVER_FAILURE = 15
	ZONE_NOT_FOUND = 16
	PUBLICATION_ERROR = 17
	INVALID_SOA_VERSION = 18
	SIGNER_SERVER_FAILURE = 19
	ZONE_ALREADY_EXISTS = 20
	RESOURCE_RECORD_NOT_FOUND =	21
	SLAVE_ALREADY_EXISTS = 22
	SLAVE_NOT_FOUND = 23
	INVALID_KEY_STATUS = 24
	CONNECTION_REFUSED = 25
	CANNOT_LOGIN = 26
	UI_SERVER_ERROR = 27
	INVALID_RESOURCE_RECORD = 28
	RESOURCE_RECORD_ALREADY_EXISTS = 29
	SLAVE_GROUP_NOT_FOUND = 30
	SLAVE_GROUP_ALREADY_EXISTS = 31
	FORBIDDEN = 32
	USER_NOT_FOUND = 33
